import random
import uuid

from django.contrib.auth.models import User
from django.core.management.base import BaseCommand

from projects.models import Comment, Issue


class Command(BaseCommand):
    def handle(self, *args, **options):
        users = [
            User(
                username=uuid.uuid4().hex,
                password=uuid.uuid4().hex,
            )
            for _ in range(100)
        ]
        User.objects.bulk_create(users)
        users = User.objects.all()

        issues = [
            Issue(
                user=random.choice(users),
                content=uuid.uuid4().hex,
            )
            for _ in range(1000)
        ]
        Issue.objects.bulk_create(issues)
        issues = Issue.objects.all()

        comments = [
            Comment(
                user=random.choice(users),
                issue=random.choice(issues),
                content=uuid.uuid4().hex,
            )
            for _ in range(5000)
        ]
        Comment.objects.bulk_create(comments)
