from django.contrib.auth.models import User
from django.db import models


class Issue(models.Model):
    user = models.ForeignKey(
        User, on_delete=models.CASCADE
    )
    content = models.TextField()
    created_at = models.DateTimeField(auto_now_add=True)


class Comment(models.Model):
    user = models.ForeignKey(
        User, on_delete=models.CASCADE
    )
    issue = models.ForeignKey(
        Issue, on_delete=models.CASCADE
    )
    content = models.TextField()
    created_at = models.DateTimeField(auto_now_add=True)
